=== debian/changelog ===
pillow (9.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix documentation build error with Python 3.10 (Heinrich Schuchardt).

 -- Matthias Klose <doko@debian.org>  Fri, 18 Feb 2022 01:07:13 +0100

pillow (9.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jan 2022 10:52:08 +0100

pillow (8.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Nov 2021 13:17:45 +0100
