## pillow 9.2.0

=== debian/changelog ===
pillow (9.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 13:57:17 +0200

pillow (9.1.1-1) unstable; urgency=medium

  * New upstream version.
    - CVE-2022-30595: When reading past the end of a TGA scan line,
      reduce bytes left.
    - Do not open images with zero or negative height (#6269).

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 11:56:13 +0200

pillow (9.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Apr 2022 13:08:08 +0200
