=== debian/changelog ===
pillow (9.4.0-1.1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Backport fixes for CVE-2023-44271, CVE-2023-50447, CVE-2024-28219.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Jun 2024 09:57:25 +0100

pillow (9.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Handle more than one directory returned by pkg-config (Closes: #1028904).

 -- Bastian Germann <bage@debian.org>  Mon, 16 Jan 2023 16:29:25 +0100

pillow (9.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Jan 2023 10:06:46 +0100

pillow (9.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Dec 2022 12:37:12 +0100

pillow (9.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix FTBFS (Closes: #1020043)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 21 Oct 2022 15:53:14 +0000
