=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
   libopenjp2-7-dev,
 Build-Depends-Indep: python3-sphinx, python3-sphinx-rtd-theme,
   python3-sphinx-issues, python3-sphinx-copybutton,
-Standards-Version: 4.6.0
+  python3-sphinx-inline-tabs,
+Standards-Version: 4.6.1
 Homepage: http://python-pillow.github.io/
 XS-Testsuite: autopkgtest
