## pillow 10.0.0

=== debian/changelog ===
pillow (10.0.0-1ubuntu0.2) mantic-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow in imagingcms.c
    - debian/patches/CVE-2024-28219.patch: Use strncpy
    to avoid buffer overflow
    - CVE-2024-28219

 -- Nick Galanis <nick.galanis@canonical.com>  Mon, 15 Apr 2024 14:52:02 +0100

pillow (10.0.0-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: PIL.ImageMath.eval Arbitrary Code Execution
    - debian/patches/CVE-2023-50447-1.patch: don't allow __ or builtins in
      env dictionarys for ImageMath.eval in src/PIL/ImageMath.py.
    - debian/patches/CVE-2023-50447-2.patch: allow ops in
      Tests/test_imagemath.py, src/PIL/ImageMath.py.
    - debian/patches/CVE-2023-50447-3.patch: include further builtins in
      Tests/test_imagemath.py, src/PIL/ImageMath.py.
    - CVE-2023-50447

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Jan 2024 10:02:07 -0500

pillow (10.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Jul 2023 18:58:54 +0200

pillow (9.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.
  * debian/patches/pkg-config-multiarch.diff: Remove, applied upstream.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2023 09:30:20 +0200
