=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pillow
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 11), tk-dev, dpkg-dev (>= 1.16.1~),
   dh-python,
   python3-all-dev, python3-setuptools,
@@ -16,7 +17,7 @@
 Build-Depends-Indep: python3-sphinx, python3-sphinx-rtd-theme,
   python3-sphinx-issues, python3-sphinx-copybutton,
   python3-sphinx-inline-tabs,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://python-pillow.github.io/
 XS-Testsuite: autopkgtest
