## pillow 10.1.0

=== debian/changelog ===
pillow (10.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Depend on media-types instead of mime-support. Closes: #987500.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Oct 2023 13:24:15 +0100
