=== debian/changelog ===
pillow (10.2.0-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:15:35 +0200

pillow (10.2.0-1) unstable; urgency=medium

  * New upstream version. Addresses CVE-2023-50447. Closes: #1061172.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jan 2024 10:47:10 +0100
