=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Package: python3-pil
 Architecture: any
 Multi-Arch: same
-Depends: ${python3:Depends}, mime-support | python3-pil.imagetk,
+Depends: ${python3:Depends}, media-types | python3-pil.imagetk,
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-olefile
 Suggests: python-pil-doc
