## pillow 10.3.0

=== debian/changelog ===
pillow (10.3.0-2) unstable; urgency=medium

  * Allow stderr in autopkg tests, deprecation warning for Pillow 12.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Apr 2024 09:03:08 +0200

pillow (10.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Apr 2024 17:53:35 +0200
