## pillow 10.4.0

=== debian/changelog ===
pillow (10.4.0-1ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 01:29:58 +0000

pillow (10.4.0-1ubuntu1) oracular; urgency=medium

  * debian/rules: Set DPKG_EXPORT_BUILDFLAGS = 1 and include
    /usr/share/dpkg/buildflags.mk to pick up the correct compiler flags
    (LP: #2077744)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 23 Aug 2024 16:35:57 +0000

pillow (10.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 09:55:27 +0200
