=== debian/changelog ===
pillow (11.1.0-5) unstable; urgency=medium

  * Don't remove the pyproject.toml file.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Feb 2025 14:26:25 +0100

pillow (11.1.0-4) unstable; urgency=medium

  * Install Python files for arch-only builds. Closes: #1093826.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jan 2025 11:32:24 +0100

pillow (11.1.0-3) unstable; urgency=medium

  * Fix indep-only build.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jan 2025 05:34:00 +0100

pillow (11.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Build the docs, ignoring the warnings. Closes: #1091974.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2025 13:58:23 +0100

pillow (10.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set `Rules-Requires-Root: binary-targets`.
    (Closes: #1089414)

 -- Niels Thykier <niels@thykier.net>  Thu, 02 Jan 2025 20:42:06 +0000
