## pillow 11.2.1

=== debian/changelog ===
pillow (11.2.1-1) experimental; urgency=medium

  * New upstream version.
  * Build-depend on libavif-dev.
  * Still build the docs using sphinx 8.1.x.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Apr 2025 08:05:57 +0200
