## pillow 11.3.0

=== debian/changelog ===
pillow (11.3.0-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 21:56:00 +0000

pillow (11.3.0-1ubuntu1) questing; urgency=medium

  * Drop build dependency on libavif-dev, not in main.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Sep 2025 07:59:45 +0200

pillow (11.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2025 12:15:42 +0200
