=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
   python3-pytest,
   python3-olefile,
   python3-cffi,
+#  libavif-dev,
   libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
   libtiff5-dev | libtiff-dev, libwebp-dev, libraqm-dev,
   libimagequant-dev,
