=== debian/watch ===
version=3
http://pypi.debian.net/pillow/pillow-(.*)\.(?:tar\.gz|zip)
