=== debian/changelog ===
pillow (12.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 14:52:17 +0200
