=== debian/tests/control ===
Tests: selftest-py3
Restrictions: allow-stderr
Depends: @

#Tests: upstream-py3
#Restrictions: allow-stderr
#Depends: @, webp, python3-pytest
