## pillow 12.1.0

=== debian/changelog ===
pillow (12.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2026 11:18:50 +0100
