## pillow 12.1.1

=== debian/changelog ===
pillow (12.1.1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build with libavif support (universe). No decision yet
      if it will be included in main. See LP 2130005.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Feb 2026 10:59:47 +0100

pillow (12.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Feb 2026 10:55:44 +0100

pillow (12.0.0-1ubuntu1) resolute; urgency=medium

  * debian/control:
    - restore delta to drop the use of libavif since it is still in
      universe for Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Oct 2025 11:41:27 +0100
