=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pillow
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 11), tk-dev, dpkg-dev (>= 1.16.1~),
   dh-python,
   python3-all-dev, python3-setuptools,
@@ -10,7 +11,7 @@
   python3-olefile,
   python3-cffi,
   python3-pybind11,
-  libavif-dev,
+#  libavif-dev,
   libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
   libtiff5-dev | libtiff-dev, libwebp-dev, libraqm-dev,
   libimagequant-dev,
@@ -21,7 +22,7 @@
   python3-sphinx-inline-tabs, python3-sphinxext-opengraph,
   furo,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: http://python-pillow.github.io/
 XS-Testsuite: autopkgtest
